FreeMat

- Main Page
- Related Pages

vtkOpenGLVolumeTextureMapper3D

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkOpenGLVolumeTextureMapper3D renders a volume using 3D texture mapping. See vtkVolumeTextureMapper3D for full description.

To create an instance of class vtkOpenGLVolumeTextureMapper3D, simply invoke its constructor as follows

      obj = vtkOpenGLVolumeTextureMapper3D

# Methods

The class vtkOpenGLVolumeTextureMapper3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLVolumeTextureMapper3D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLVolumeTextureMapper3D = obj.NewInstance ()`
- `vtkOpenGLVolumeTextureMapper3D = obj.SafeDownCast (vtkObject o)`
- `int = obj.IsRenderSupported (vtkVolumeProperty )` - Is hardware rendering supported? No if the input data is more than one independent component, or if the hardware does not support the required extensions
- `int = obj.GetInitialized ()`
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release any graphics resources that are being consumed by this texture. The parameter window could be used to determine which graphic resources to release.